issue157: Quirks mode misapplying

Priority: bug Status: resolved
msg347 (view) Author: mifrai Date: 2009-05-16.01:43:03
In Conkeror, when visiting:

You'll notice the login table is rendered in quirks mode, to verify: 
  - open DOM inspector
  - inspect the "Account Login" box
  - inspect the "TABLE"
  - view it's CSS style rules
  - notice "resource://gre/res/quirk.css" is loaded/applied

If you perform the same task in Firefox, you'll notice that quirks mode is not applied. 

In case it's of importance, I am running:
   firefox 3.0.10
   conkeror (compiled from 2009-04-24)
msg349 (view) Author: mifrai Date: 2009-05-16.14:55:14
Note that this also happens on, but the newzbin login page is a much simpler
page to analyze.
msg351 (view) Author: mifrai Date: 2009-05-18.08:20:54
Just more info about this, it appears that opening a buffer to one of these pages in the background will
cause it load correctly. When browsed to normally, quirk.css will be applied to at least table elements.
msg356 (view) Author: mifrai Date: 2009-05-20.16:48:01
Don't know what the difference between conkeror and firefox is still, but it's a bug from xulrunner. For
more information see:

To fix it you must apply the provided patch (with some tweaking if you're going to use the latest stable
instead of the alpha releases).
msg357 (view) Author: nicktastic Date: 2009-05-21.12:26:37
Thanks for your diligence!
msg988 (view) Author: retroj Date: 2012-01-31.21:29:38
According to the bugzilla report, the issue was fixed in XULRunner 1.9.1, which is now Conkeror's
minimum XULRunner requirement, so closing ticket.
Date User Action Args
2012-01-31 21:29:38retrojsetstatus: chatting -> resolved
messages: + msg988
2009-05-21 12:26:37nicktasticsetstatus: resolved -> chatting
messages: + msg357
2009-05-20 16:48:01mifraisetstatus: unread -> resolved
messages: + msg356
2009-05-18 08:20:54mifraisetstatus: chatting -> unread
messages: + msg351
2009-05-16 14:55:14mifraisetmessages: + msg349
2009-05-16 14:54:44mifraisetmessages: - msg348
2009-05-16 14:54:33mifraisetstatus: unread -> chatting
messages: + msg348
2009-05-16 01:43:04mifraicreate